﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace DragDropCell
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            fpSpread1.InterfaceRenderer = null;
            fpSpread1.ActiveSheet.GrayAreaBackColor = Color.FromArgb(227, 239, 255);
            fpSpread1.ActiveSheet.RowHeader.Visible = true;
            fpSpread1.TabStripInsertTab = false;
            fpSpread1.TabStrip.ButtonPolicy = FarPoint.Win.Spread.TabStripButtonPolicy.Always;
            fpSpread1.ActiveSheet.ColumnCount = 100;
            fpSpread1.ActiveSheet.RowCount = 5000;
            FarPoint.Win.Spread.StyleInfo si = new FarPoint.Win.Spread.StyleInfo();
            si.Font = new Font("Arial", 9);
            fpSpread1.ActiveSheet.DefaultStyle = si;
            fpSpread1.ActiveSheet.SerializeModels = true;
            fpSpread1.ActiveSheet.SelectionUnit = FarPoint.Win.Spread.Model.SelectionUnit.Cell;
            fpSpread1.AllowDragFill = true;
            fpSpread1.ActiveSheet.SelectionPolicy = FarPoint.Win.Spread.Model.SelectionPolicy.Range;
            FarPoint.Win.Spread.CellType.EnhancedColumnHeaderRenderer ecr = new FarPoint.Win.Spread.CellType.EnhancedColumnHeaderRenderer();
            ecr.WordWrap = false;
            fpSpread1.ActiveSheet.ColumnHeader.DefaultStyle.Renderer = ecr;

            FarPoint.Win.Spread.CellType.TextCellType textCell = new FarPoint.Win.Spread.CellType.TextCellType();

            foreach (FarPoint.Win.Spread.Column c in fpSpread1.ActiveSheet.Columns)
            {
                c.CellType = textCell;
            }

              
        }
    }
}
